# Record Class CLNImageCubeMipMapDeclaration

java.lang.Object
java.lang.Record
com.io7m.calino.api.CLNImageCubeMipMapDeclaration

Record Components:
  `mipMapLevel` - The mipmap level
  `xPositive` - The positive X face
  `xNegative` - The negative X face
  `yPositive` - The positive Y face
  `yNegative` - The negative Y face
  `zPositive` - The positive Z face
  `zNegative` - The negative Z face

All Implemented Interfaces:
  `Comparable<CLNImageCubeMipMapDeclaration>`

public record CLNImageCubeMipMapDeclaration(int mipMapLevel, CLNImageCubeFaceDeclaration xPositive, CLNImageCubeFaceDeclaration xNegative, CLNImageCubeFaceDeclaration yPositive, CLNImageCubeFaceDeclaration yNegative, CLNImageCubeFaceDeclaration zPositive, CLNImageCubeFaceDeclaration zNegative) extends Record implements Comparable<CLNImageCubeMipMapDeclaration>
The declaration of a single cube mipmap.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `CLNImageCubeMipMapDeclaration(int mipMapLevel, CLNImageCubeFaceDeclaration xPositive, CLNImageCubeFaceDeclaration xNegative, CLNImageCubeFaceDeclaration yPositive, CLNImageCubeFaceDeclaration yNegative, CLNImageCubeFaceDeclaration zPositive, CLNImageCubeFaceDeclaration zNegative)`
  The declaration of a single cube mipmap.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `compareTo(CLNImageCubeMipMapDeclaration other)`
  `final boolean`
  `equals(Object o)`
  Indicates whether some other object is "equal to" this one.
  `final int`
  `hashCode()`
  Returns a hash code value for this object.
  `int`
  `mipMapLevel()`
  Returns the value of the `mipMapLevel` record component.
  `final String`
  `toString()`
  Returns a string representation of this record class.
  `CLNImageCubeFaceDeclaration`
  `xNegative()`
  Returns the value of the `xNegative` record component.
  `CLNImageCubeFaceDeclaration`
  `xPositive()`
  Returns the value of the `xPositive` record component.
  `CLNImageCubeFaceDeclaration`
  `yNegative()`
  Returns the value of the `yNegative` record component.
  `CLNImageCubeFaceDeclaration`
  `yPositive()`
  Returns the value of the `yPositive` record component.
  `CLNImageCubeFaceDeclaration`
  `zNegative()`
  Returns the value of the `zNegative` record component.
  `CLNImageCubeFaceDeclaration`
  `zPositive()`
  Returns the value of the `zPositive` record component.

  ### Methods inherited from class Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### CLNImageCubeMipMapDeclaration

    public CLNImageCubeMipMapDeclaration(int mipMapLevel, CLNImageCubeFaceDeclaration xPositive, CLNImageCubeFaceDeclaration xNegative, CLNImageCubeFaceDeclaration yPositive, CLNImageCubeFaceDeclaration yNegative, CLNImageCubeFaceDeclaration zPositive, CLNImageCubeFaceDeclaration zNegative)
    The declaration of a single cube mipmap.
    Parameters:
      `mipMapLevel` - The mipmap level
      `xPositive` - The positive X face
      `xNegative` - The negative X face
      `yPositive` - The positive Y face
      `yNegative` - The negative Y face
      `zPositive` - The positive Z face
      `zNegative` - The negative Z face

- ## Method Details

  - ### compareTo

    public int compareTo(CLNImageCubeMipMapDeclaration other)
    Specified by:
      `compareTo` in interface `Comparable<CLNImageCubeMipMapDeclaration>`

  - ### toString

    public final String toString()
    Returns a string representation of this record class. The representation contains the name of the class, followed by the name and value of each of the record components.
    Specified by:
      `toString` in class `Record`
    Returns:
      a string representation of this object

  - ### hashCode

    public final int hashCode()
    Returns a hash code value for this object. The value is derived from the hash code of each of the record components.
    Specified by:
      `hashCode` in class `Record`
    Returns:
      a hash code value for this object

  - ### equals

    public final boolean equals(Object o)
    Indicates whether some other object is "equal to" this one. The objects are equal if the other object is of the same class and if all the record components are equal. Reference components are compared with `Objects::equals(Object,Object)`; primitive components are compared with the `compare` method from their corresponding wrapper classes.
    Specified by:
      `equals` in class `Record`
    Parameters:
      `o` - the object with which to compare
    Returns:
      `true` if this object is the same as the `o` argument; `false` otherwise.

  - ### mipMapLevel

    public int mipMapLevel()
    Returns the value of the `mipMapLevel` record component.
    Returns:
      the value of the `mipMapLevel` record component

  - ### xPositive

    public CLNImageCubeFaceDeclaration xPositive()
    Returns the value of the `xPositive` record component.
    Returns:
      the value of the `xPositive` record component

  - ### xNegative

    public CLNImageCubeFaceDeclaration xNegative()
    Returns the value of the `xNegative` record component.
    Returns:
      the value of the `xNegative` record component

  - ### yPositive

    public CLNImageCubeFaceDeclaration yPositive()
    Returns the value of the `yPositive` record component.
    Returns:
      the value of the `yPositive` record component

  - ### yNegative

    public CLNImageCubeFaceDeclaration yNegative()
    Returns the value of the `yNegative` record component.
    Returns:
      the value of the `yNegative` record component

  - ### zPositive

    public CLNImageCubeFaceDeclaration zPositive()
    Returns the value of the `zPositive` record component.
    Returns:
      the value of the `zPositive` record component

  - ### zNegative

    public CLNImageCubeFaceDeclaration zNegative()
    Returns the value of the `zNegative` record component.
    Returns:
      the value of the `zNegative` record component